curl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/search/traces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"field": "<string>",
"op": "eq",
"value": "<string>"
}
}
'{
"data": [
{
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"review_queue_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trace_metadata": {
"agent_name": "<string>",
"start_time": "<string>",
"end_time": "<string>",
"assignee": "<string>"
},
"custom_metadata": {},
"customer_feedback": {},
"input": true,
"output": true,
"evaluation_results": {
"auto_evaluations": {},
"human_labels": {},
"client_evaluations": {}
}
}
],
"pagination": {
"page": 123,
"page_size": 123,
"has_next": true
}
}Query traces using advanced filters. Use to find specific trace executions, filter by metadata, or analyze trace patterns.
Supports pagination and optional inclusion of all child traces and
completions within the session, using the include_children parameter.
page_size defaults to 30, maximum 100.
For filter operators and examples, see: https://docs.freeplay.ai/openapi/search-api-operators
curl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/search/traces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"field": "<string>",
"op": "eq",
"value": "<string>"
}
}
'{
"data": [
{
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"review_queue_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trace_metadata": {
"agent_name": "<string>",
"start_time": "<string>",
"end_time": "<string>",
"assignee": "<string>"
},
"custom_metadata": {},
"customer_feedback": {},
"input": true,
"output": true,
"evaluation_results": {
"auto_evaluations": {},
"human_labels": {},
"client_evaluations": {}
}
}
],
"pagination": {
"page": 123,
"page_size": 123,
"has_next": true
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
TraceSearchResponse(data: Union[List[server.search_api.types.TraceSearchInfo], List[server.search_api.types.TraceSearchInfoWithChildren]], pagination: server.api_routes.api_v2_common.PaginationInfo)